SNAPCLIENT(1)

NAME
snapclient - Snapcast client

SYNOPSIS
snapclient [OPTION]...

DESCRIPTION
Snapcast is a multiroom client-server audio player, where all clients are time synchronized with the server to play perfectly synced audio. It's not a standalone player, but an extension that turns your existing audio player into a Sonos-like multiroom solution.
The server's audio input is a named pipe `/tmp/snapfifo`. All data that is fed into this file will be send to the connected clients. One of the most generic ways to use Snapcast is in conjunction with the music player daemon or Mopidy, which can be configured to use a named pipe as audio output.

  Allowed options:

--help
    produce help message

-v, --version
    show version number

-h, --host arg
    server hostname or ip address

-p, --port arg (=1704)
    server port

-i, --instance arg (=1)
    instance id when running multiple instances on the same host

--hostID arg
    unique host id, default is MAC address

-l, --list
    list PCM devices

-s, --soundcard arg (=default)
    index or name of the pcm device

--latency arg (=0)
    latency of the PCM device

--sampleformat arg
    resample audio stream to <rate>:<bits>:<channels>

--player arg (=alsa)
    alsa|pulse|file[:<options>|?]

--mixer arg (=software)
    software|hardware|script|none|?[:<options>]

-d, --daemon [=arg(=-3)]
    daemonize, optional process priority [-20..19]

--user arg
    the user[:group] to run snapclient as when daemonized

--logsink arg
    log sink [null,system,stdout,stderr,file:<filename>]

--logfilter arg (=*:info)
    log filter <tag>:<level>[,<tag>:<level>]* with tag = * or <log tag> and level = [trace,debug,info,notice,warning,error,fatal]

FILES

/etc/default/snapclient
    the daemon default configuration file

COPYRIGHT
Copyright (C) 2014-2025 Johannes Pohl (snapcast@badaix.de). License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
snapserver(1)